ubuntu/+source/pidgin:ubuntu/jaunty

Last commit made on 2009-04-09
Get this branch:
git clone -b ubuntu/jaunty https://git.launchpad.net/ubuntu/+source/pidgin
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/jaunty
Repository:
lp:ubuntu/+source/pidgin

Recent commits

6084ad2... by Sebastien Bacher on 2009-04-09

Import patches-unapplied version 1:2.5.5-1ubuntu8 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 9e5839f501a973346d1a594d5e89be7e0ac34115

New changelog entries:
  * debian/patches/72_upstream_change_fix_jabber_crasher.patch:
    - upstream change to fix crash on jabber when using a custom image
      (lp: #357949)

9e5839f... by Sebastien Bacher on 2009-04-08

Import patches-unapplied version 1:2.5.5-1ubuntu7 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 2c4efd73c06e5fccf35379a4bc7ec3285ce0cfd9

New changelog entries:
  * debian/patches/71_upstream_change_fix_ssl_crasher.patch:
    - upstream change to fix a crasher issue which has lot of duplicate
      (lp: #328878, #341434, #354272)

2c4efd7... by Ken VanDine on 2009-04-08

Import patches-unapplied version 1:2.5.5-1ubuntu6 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: d5ef89117822bc5cb45be8b2d66e52566ef1613e

New changelog entries:
  * debian/patches/62_dbus_fix.patch:
    - The buddy list should be raised when launching a second time, this patch
      from darkrain42 fixes a bug that prevented that behavior (LP: #354298)

d5ef891... by Ken VanDine on 2009-04-01

Import patches-unapplied version 1:2.5.5-1ubuntu5 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 05ab58995df530e9a423eb8ae9b49d19d61935c9

New changelog entries:
  * debian/patches/61_crash_on_close_349009.patch
    - Patch from darkrain42 to fix a crasher bug triggered by closing
      the buddy list with chat rooms open (LP: #349009)
  * Adding debian/patches/13_sounds_and_timers.patch which adjusts
    the time out for sounds to be 15 seconds, which helps get
    fewer spurious login notifications on slow connections. Also,
    switches a few long term timers to _add_seconds to get a little
    bit of power savings. (LP: #345494)

05ab589... by Mackenzie Morgan on 2009-03-22

Import patches-unapplied version 1:2.5.5-1ubuntu3 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: c1e0e3c7243690ce6b3b03e3ae33b16b0b9e9bca

New changelog entries:
  * Backport fix from http://developer.pidgin.im/ticket/4845
    to rate limit popups when AIM buddy list is unavailable
    (LP: #345774)

c1e0e3c... by Ted Gould on 2009-03-19

Import patches-unapplied version 1:2.5.5-1ubuntu2 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: b4b98581c26b00e5a57633a6908fa4d6fc8021ac

New changelog entries:
  * Adding debian/patches/11_buddy_list_really_show.patch to make
    it so that the buddy list tries harder to appear. This fixes
    some issues with it not appearing. (LP: #341142)
  * Adding debian/patches/10_docklet_default_off.patch to set the
    default behavior to have no notification area icon. This fixes
    (LP: #340366)

b4b9858... by Didier Roche on 2009-03-09

Import patches-unapplied version 1:2.5.5-1ubuntu1 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 1d06df50ff2792c766dc8a9424e7422308820cb9

New changelog entries:
  * Merge from debian, remaining changes: (LP: #316636, #336647)
    - debian/control:
      + Add Build-Deps on liblaunchpad-integration-dev, intltool,
      network-manager-dev
      + Add epoch in dependencies
      + Drop the libpurple0 dependency on libpurple-bin
    - debian/libpurple0.symbols: add epoch to symbol
    - debian/pidgin-dbg.preinst, debian/pidgin-dev.preinst,
      debian/pidgin.preinst: add epoch
    - Update debian/prefs.xml to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    - debian/rules:
      + remove --disable-nm as nm has been fixed in Ubuntu
      + Add X-Ubuntu-Gettext-Domain to the desktop file and update the
        translation templates in common-install-impl::
    - debian/patches:
      + 02_lpi.patch for LP integration
      + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
        and let apport handle it
      + 05_default_to_irc_ubuntu_com.patch to set the default IRC
        server to irc.ubuntu.com
      + 70_autoconf.patch
      + 60_1024x600_gtk*.c.patch: Add scrolled bars into account dialog,
        pounce windows and preference window when screen height is less than 600.
  * Adapt debian/patches/02_lpi.patch
  * Re-generate debian/patches/70_autoconf.patch
  * Remove debian/patches/fix-icons-backport-from-2.5.5mtn.diff as taken
    upstream

1d06df5... by Ari Pollak on 2009-03-05

Import patches-unapplied version 2.5.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 521a0e3b90462e97a5003665d269edba4e32f633

New changelog entries:
  * New upstream version
    - Re-initialize preferences correctly in libpurple when called from
      third-party app (Closes: #508857)

521a0e3... by Ari Pollak on 2009-02-15

Import patches-unapplied version 2.5.4-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 186798893d1ee8da781708a313d2f73f8ebf593b

New changelog entries:
  * Upload to unstable
  * New upstream version
  * Remove version-specific shlibdep generation, and add libgnt to
    libpurple0.symbols
  * New upstream release
    - Tries to fix treating special characters as html entities
      (Closes: #502802)
  * New upstream version
    - Should fix icon sizes (Closes: #497545)
  * New upstream version (Closes: #496109)
    - Upload to experimental so we don't mess up unstable->lenny transitions
    - Fixes putting a BOM at the beginning of pasted text (Closes: #475146)
    - Adds support for MSNP14, which allows viewing of queued messages
      (Closes: #403006)
    - Now emits a signal for blocked messages (Closes: #427919)
  * Drop 00_debian-ca-certs.patch in favor of --with-system-ssl-certs, and
    build-depend on ca-certificates

1867988... by Ari Pollak on 2008-10-09

Import patches-unapplied version 2.4.3-4 to debian/lenny

Imported using git-ubuntu import.